Page 1 of 1

Incompatibility of RIOT add-on

Posted: Sun Feb 23, 2014 1:30 pm
by XnTriq
I can't get newer versions (0.5+) of the RIOT DLL to run with Riot.xnp.

Riot.dll:


Re: Incompatibility of RIOT add-on

Posted: Sun Feb 23, 2014 2:54 pm
by xnview
you need to update FreeImage too

Re: Incompatibility of RIOT add-on

Posted: Sun Feb 23, 2014 7:30 pm
by XnTriq
xnview wrote:you need to update FreeImage too

I already took that into account, Pierre.


How to reproduce:

  • Method #1
    1. Download and extract XnView-win-full.zip.
    2. Start XnView and open a GIF, JPEG or PNG image.
    3. Filter » RIOT (c) Lucian Sabo (1.00) won't start :bug:
  • Method #2
    1. Download and extract XnView-win-small.zip.
    2. Download and extract Riot_dll_noinstall.zip.
    3. Move the following files to the AddOn subfolder of XnView:
      • Riot_dll_noinstall.zip\Riot_dll\FreeImage.dll
      • Riot_dll_noinstall.zip\Riot_dll\Riot.dll
      • Riot_dll_noinstall.zip\Riot_dll\XnView-addon\Riot.xnp
    4. Start XnView and open a GIF, JPEG or PNG image.
    5. Filter » RIOT (c) Lucian Sabo (1.00) won't start :bug:

Re: Incompatibility of RIOT add-on

Posted: Mon Feb 24, 2014 2:12 pm
by xnview
XnTriq wrote:
xnview wrote:you need to update FreeImage too

I already took that into account, Pierre.

Strange, it works for me only if i replace the FreeImage dll

Re: Incompatibility of RIOT add-on

Posted: Mon Feb 24, 2014 10:45 pm
by XnTriq
I hate it when you're right and I'm wrong, Pierre :P
Successful test of method #1 (XnView-win-small.zip + Riot_dll_noinstall.zip) on a different PC (XP SP3):

p117643.png
XnView v2.13 + RIOT v0.5.2 + FreeImage v3.15.3

Re: Incompatibility of RIOT add-on

Posted: Tue Feb 25, 2014 9:52 am
by xnview
XnTriq wrote:I hate it when you're right and I'm wrong, Pierre :P

:D :D